
extends Label

var introString = ""

var introTextEntry = 0
var introText = [
	"We have gathered today to change the world!",
	"We are here to revive the one true leader!",
	"We need to demonstrate our unwavering devotion to republican ideology...",
	"In order to revive...",
	"REAGAN"
]
var textEntryCount = 5

func _ready():
	# Initialization here
	pass

func _on_Timer_timeout():
	if introTextEntry >= introText.size():
		self.queue_free()
	else:
		introString += introText[introTextEntry] + "\n\n"
		self.set_text(introString)
		introTextEntry += 1
